Name:           python-pypef
Version:        0.4.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A command-line interface (CLI) tool for performing data-driven protein engineering by building machine learning (ML)-trained regression models from sequence variant fitness data (in CSV format) based on different techniques for protein sequence encoding. Next to building pure ML models, "hybrid modeling" is also possible using a blended model optimized for predictive contributions of a statistical and an ML-based prediction.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/niklases/PyPEF
Source:         %{pypi_source pypef}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pypef' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pypef
Summary:        %{summary}

%description -n python3-pypef %_description


%prep
%autosetup -p1 -n pypef-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pypef -f %{pyproject_files}


%changelog
%autochangelog